Collection

Retrieve the description of a collection available from this service.

get
Path parameters
collectionIdstring · enumRequired

Local identifier of a collection

Possible values:
Responses
chevron-right
200

Information about a particular collection of (mostly geospatial) data available from this API. The collection is accessible via one or more OGC API set of specifications, for which a link to relevant accessible resources, e.g. /collections/{collectionId}/(items, coverage, map, tiles...) is contained in the response, with the corresponding relation type, as well as key information about the collection. This information includes:

  • a local identifier for the collection that is unique for the dataset;
  • a list of coordinate reference systems (CRS) in which data may be returned by the server. The first CRS is the default coordinate reference system (the default is always WGS 84 with axis order longitude/latitude);
  • an optional title and description for the collection;
  • an optional extent that can be used to provide an indication of the spatial and temporal extent of the collection - typically derived from the data;
  • for collections accessible via the Features or Records API, an optional indicator about the type of the items in the collection (the default value, if the indicator is not provided, is 'feature').
application/json
idstringRequired

identifier of the collection used, for example, in URIs

Example: buildingpart
titlestringOptional

human readable title of the collection

Example: Building Part
descriptionstringOptional

a description of the data in the collection

Example: Polygon feature representing a building.
get
/collections/{collectionId}

Last updated

Was this helpful?